* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: asinh.d,v 1.1 1993/06/24 17:33:31 mura Exp $
*
	include	fefunc.mac

	.xdef	__fe_asinh
	.xref	__fe_sqrt,__fe_log

	.cpu	68000

	.text
	.even
__fe_asinh:
	move.l	d3,a2
	movem.l	4(sp),d0-d1
	move.l	d0,a0
	move.l	d1,a1
	move.l	d0,d2
	move.l	d1,d3
	FPACK	__DMUL
	move.l	#$3ff00000,d2
	moveq	#0,d3
	FPACK	__DADD

	movem.l	d0-d1,-(sp)
	jbsr	__fe_sqrt	* break d0-d2

	move.l	a0,d2
	move.l	a1,d3
	FPACK	__DADD
	move.l	a2,d3

	movem.l	d0-d1,(sp)
	jbsr	__fe_log	* break d0-d2
	addq.l	#8,sp
	rts
