* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: asinh.d,v 1.1 1993/06/24 17:33:31 mura Exp $
*
	.xdef	__fpu_asinh
	.xref	___muldf3,___adddf3,__fpu_sqrt,__fpu_log

	.cpu	68000

	.text
	.even
__fpu_asinh:
	movem.l	d3-d4/a3,-(sp)
	move.l	($0010,sp),d3
	move.l	($0014,sp),d4
	move.l	d4,-(sp)
	move.l	d3,-(sp)
	move.l	d4,-(sp)
	move.l	d3,-(sp)
	jsr	(___muldf3)
	lea.l	($0010,sp),sp
	lea.l	(___adddf3),a3
	clr.l	-(sp)
	move.l	#$3ff00000,-(sp)
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	jsr	(a3)
	lea.l	($0010,sp),sp
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	jsr	(__fpu_sqrt)
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	move.l	d4,-(sp)
	move.l	d3,-(sp)
	jsr	(a3)
	lea.l	($0010,sp),sp
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	jsr	(__fpu_log)
	lea.l	($0010,sp),sp
	movem.l	(sp)+,d3-d4/a3
	rts
