* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: acos.d,v 1.1 1993/06/24 17:33:19 mura Exp $
*
	include	iocscall.mac

	.xdef	_acos
	.xref	__havefpu
	.xref	__f_acos,__fpu_acos,__fe_acos

	.cpu	68000

	.text
	.even
_acos:
	move.b	__havefpu(opc),d0
	lsr.b	#1,d0		* IOFPU
	bcc	L00010e
	lsr.b	#1,d0		* ~68000
	bcs	L0000e8
	move	sr,d0
	andi.w	#$2000,d0
	bne	@f
L0000e8:
	suba.l	a1,a1
	IOCS	__B_SUPER
	tst.l	d0
	blt	@f
	move.l	d0,-(sp)
	move.l	12(sp),-(sp)
	move.l	12(sp),-(sp)
	jbsr	__fpu_acos
	movea.l	8(sp),sp
	andi	#$dfff,sr
	rts
@@:	jbra	__fpu_acos
L00010e:
	andi.b	#2,d0		* FPU
	jbeq	__fe_acos
	jbra	__f_acos
