/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: fmod.c,v 1.1 1993/06/24 17:34:06 mura Exp $
 */

/* System headers */
#include <math.h>
#include <errno.h>
#include <sys/dos.h>
#include <sys/xmath.h>

/* Functions */
double _f_fmod (double x, double y)
{
    double value;

    asm volatile ("fmod.x %2,%0" : "=f" (value) : "0" (x), "f" (y));
    FPU_ERRCHK ();
    return value;
}
