* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: atan2.d,v 1.1 1993/06/24 17:33:39 mura Exp $
*
	include	fefunc.mac

	.xdef	__fe_atan2
	.xref	_errno
	.xref	_isnan,__fe_atan

	.cpu	68000

regs	reg	d3-d5/a3-a5
svsz	equ	(5-3+1+5-3+1)*4
arg1	equ	svsz+4

	.text
	.even
__fe_atan2:
	movem.l	regs,-(sp)

	movem.l	arg1(sp),d4-d5/a4-a5
	lea	_isnan(opc),a3
	movem.l	d4-d5,-(sp)
	jsr	(a3)
	tst.l	d0
	bne	L000560
	movem.l	a4-a5,(sp)
	jsr	(a3)
	tst.l	d0
	bne	L000560
L00042c:
	move.l	a4,d2
	bgt	@f
	blt	L000462
	move.l	a5,d3
	beq	L00051c
@@:
	move.l	a5,d3
	move.l	d5,d1
	move.l	d4,d0
	FPACK	__DDIV

	movem.l	d0-d1,(sp)
	jbsr	__fe_atan
	bra	L000580
L000462:
	move.l	d4,d0
	bgt	@f
	blt	L0004c4
	tst.l	d5
	beq	L00050e
@@:
	move.l	a5,d3
	move.l	d5,d1
	FPACK	__DDIV

	movem.l	d0-d1,(sp)
	jbsr	__fe_atan

	move.l	#$54442d18,d3
	move.l	#$400921fb,d2
	FPACK	__DADD
	bra	L000580
L0004c4:
	move.l	a5,d3
	move.l	d5,d1
	FPACK	__DDIV

	movem.l	d0-d1,(sp)
	jbsr	__fe_atan

	move.l	#$54442d18,d3
	move.l	#$400921fb,d2
	FPACK	__DSUB
	bra	L000580
L00050e:
	move.l	#$400921fb,d0
	move.l	#$54442d18,d1
	bra	L000580
L00051c:
	tst.l	d4
	bgt	L000540
	blt	@f
	tst.l	d5
	beq	L000560
L000540:
	move.l	#$3ff921fb,d0
	move.l	#$54442d18,d1
	bra	L000580
@@:
	move.l	#$bff921fb,d0
	move.l	#$54442d18,d1
	bra	L000580
L000560:
	moveq	#1,d2
	move.l	d2,_errno
	moveq	#-1,d0
	moveq	#-1,d1
	bchg	d1,d1		*$7FFFFFFF
L000580:
	addq.l	#8,sp
	movem.l	(sp)+,regs
	rts
