* -*-Fundamental-*-
*
* PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
* --------------------------------------------------------------------
* This file is written by the Project C Library Group,  and completely
* in public domain. You can freely use, copy, modify, and redistribute
* the whole contents, without this notice.
* --------------------------------------------------------------------
* $Id: atanh.d,v 1.1 1993/06/24 17:33:43 mura Exp $
*
	.xdef	__fpu_atanh
	.xref	_errno
	.xref	__fpu_log,___adddf3,___subdf3,___divdf3,___muldf3

	.cpu	68000

	.text
	.even
__fpu_atanh:
	movem.l	d3-d6,-(sp)
	move.l	($0014,sp),d3
	move.l	($0018,sp),d4
	clr.l	-(sp)
	move.l	#$3ff00000,-(sp)
	move.l	d4,-(sp)
	move.l	d3,-(sp)
	jsr	(___adddf3)
	lea.l	($0010,sp),sp
	move.l	d0,d5
	move.l	d1,d6
	move.l	d4,-(sp)
	move.l	d3,-(sp)
	clr.l	-(sp)
	move.l	#$3ff00000,-(sp)
	jsr	(___subdf3)
	lea.l	($0010,sp),sp
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	move.l	d6,-(sp)
	move.l	d5,-(sp)
	jsr	(___divdf3)
	lea.l	($0010,sp),sp
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	jsr	(__fpu_log)
	clr.l	-(sp)
	move.l	#$3fe00000,-(sp)
	move.l	d1,-(sp)
	move.l	d0,-(sp)
	jsr	(___muldf3)
	lea.l	($0010,sp),sp
	addq.w	#8,sp
	movem.l	(sp)+,d3-d6
	rts
